YoonioR's Quake Page: Console Commands

Main Page | News | Mirrors | QuakeToys | Console | Servers
Players | Links | Help! | FAQ | Screenshots | Stories | Credits

Spis komend konsoli Quake'a, który znajdziecie poniżej został opracowany przez kilku autorów. Na razie jest on tylko w oryginalnej wersji jezykowej, jeżeli ktoś podejmie trud (ilościowy) przetłumaczenia go na język polski - proszę o kontakt!

YoonioR

UWAGA: Tłumaczenia całego tekstu komend konsoli podjął się Emanuel Miemiec. Wszyscy zainteresowani pomocą przoszeni są o kontakt z nim właśnie. Praca już jest w toku.

# Quake Console Commands

### Includes version 1.06

This list would not have been possible without help from Lauri Alanko mivars@cc.helsinki.fi who's list got me interested in the console and also made a wonderful format that I've copied for this update. I would also like to thank JPM@mailserv.rz.fh-muenchen.de for his hints on how to extract the important information out of the Quake.exe file.

In most cases I have tried to connected commands together with the See also: field. However, to keep the size down and also make that field as useful as possible I didn't reference anything that was an action command. In most cases the description will let you know what action(s) the command effects.

If anything in this document is either incorrect, missing, or not explained well enough, please send mail to danielr@ccs.neu.edu so that it can be corrected. The most recent version of this document can always be found at http://www.ccs.neu.edu/home/danielr/quake/console.html

Daniel Rinehart danielr@ccs.neu.edu aka Prog. Last updated Oct-10-1996.

     Disclaimer: This document is provided as is and may not be
    perfect. I do not guarentee the validity of any of the information in
    it. I will not be held liable or responsible for any damages caused
    from use or misuse of the information contained within this document.

# The Console Commands List

### 250 Commands (only 8 undocumented)

(A)=Action (C)=Command (T)=Toggle or flag (V)=Variable (?)=Unknown (X)=Other (P)=Protocol

### New for v1.06

auxlook (?) | ban (C) | force_centerview (C)
toggle_auxlook (T)

### Changed since v1.01

connect (C) | impulse (C) | kick (C)
noexit (V) | teamplay (V) | timedemo (C)

### Commands in v1.01

+attack / -attack (A) | +back / -back (A) | +forward / -forward (A)
+jump / -jump (A) | +klook / -klook (A) | +left / -left (A)
+lookdown / -lookdown (A) | +lookup / -lookup (A) | +mlook / -mlook (A)
+movedown / - movedown (A) | +moveleft / -moveleft (A) | +moveright / -moveright (A)
+moveup / -moveup (A) | +right / -right (A) | +showscores / -showscores (A)
+speed / -speed (A) | +strafe / -strafe (A) | +use / -use (A)
alias (C) | ambient_fade (V) | ambient_level (V)
begin (P) | bgmbuffer (V) | bgmvolume (V)
bind (C) | bf (C) | _cl_color (V)
_cl_name (V) | _config_com_baud (V) | _config_com_irq (V)
_config_com_modem (T) | _config_com_port (V) | _config_modem_clear (V)
_config_modem_dialtype (V) | _config_modem_hangup (V) | _config_modem_init (V)
cd (C) | centerview (C) | changelevel (C)
cl_anglespeedkey (V) | cl_backspeed (V) | cl_bob (V)
cl_bobcycle (V) | cl_bobup (V) | cl_forwardspeed (V)
cl_movespeedkey (V) | cl_nolerp (?) | cl_pitchspeed (V)
cl_rollangle (V) | cl_rollspeed (V) | cl_shownet (T)
cl_sidespeed (V) | cl_upspeed (V) | cl_yawspeed (V)
clear (C) | cmd (?) | color (C)
com1 / com2 (C) | con_notifytime (V) | connect (C)
coop (T) | crosshair (T) | d_mipcap (T)
d_mipscale (T) | d_subdiv16 (T) | deathmatch (T)
demos (C) | developer (V) | disconnect (C)
echo (C) | edgefriction (V) | edict (C)
edictcount (C) | edicts (C) | entities (C)
exec (C) | flush (C) | fly (T)
fov (V) | fraglimit (V) | gamma (V)
give (V) | god (T) | help (C)
host_framerate (V) | host_speeds (T) | hostname (V)
impulse (C) | joybuttons (V) | joystick (T)
kick (C) | kill (C) | listen (T)
load (C) | loadas8bit (T) | lookspring (T)
lookstrafe (T) | m_filter (?) | m_forward (V)
m_pitch (V) | m_side (V) | m_yaw (V)
map (C) | maxplayers (V) | menu_keys (C)
menu_load (C) | menu_main (C) | menu_multiplayer (C)
menu_options (C) | menu_quit (C) | menu_save (C)
menu_setup (C) | menu_singleplayer (C) | menu_video (C)
messagemode (C) | messagemode2 (C) | name (V)
net_messagetimeout (V) | net_stats (C) | noclip (T)
noexit (V) | noisetrack (?) | nosound (T)
notarget (T) | path (C) | pausable (T)
pause (C) | ping (C) | play (C)
playdemo (C) | playvol (C) | pointfile (C)
precache (T) | prespawn (P) | profile (C)
quit (C) | r_aliastransadj (?) | r_aliastransbase (?)
r_ambient (V) | r_clearcolor (V) | r_drawentities (T)
r_drawflat (T) | r_draworder (T) | r_drawviewmodel (T)
r_dspeeds (T) | r_fullbright (T) | r_graphheight (V)
r_maxedges (V) | r_maxsurfs (V) | r_numedges (T)
r_numsurfs (T) | r_polymodelstats (T) | r_reportedgeout (T)
r_reportsurfout (T) | r_speeds (T) | r_timegraph (T)
r_waterwarp (T) | reconnect (C) | record (C)
registered (T) | restart (C) | samelevel (T)
save (C) | say (C) | say_team (C)
sbinfo (C) | scr_centertime (V) | scr_conspeed (V)
scr_ofsx (V) | scr_ofsy (V) | scr_ofsz (V)
scr_printspeed (V) | screenshot (V) | sensitivity (V)
serverprofile (T) | showpause (T) | showram (T)
showturtle (T) | sizedown (C) | sizeup (C)
skill (V) | slist (C) | snd_noextraupdate (T)
snd_show (T) | soundinfo (C) | soundlist (C)
spawn (P) | startdemos (C) | status (C)
stop (C) | stopdemo (C) | stopsound (C)
stuffcmds (C) | sv_accelerate (V) | sv_aim (V)
sv_friction (V) | sv_gravity (V) | sv_idealpitchscale (V)
sv_maxspeed (V) | sv_maxvelocity (V) | sv_nostep (T)
sv_stopspeed (V) | sys_ticrate (V) | teamplay (V)
tell (C) | temp1 (X) | test (C)
test2 (C) | timedemo (C) | timelimit (V)
timerefresh (C) | toggleconsole (C) | togglemenu (C)
unbind (C) | unbindall (C) | _vid_default_mode (V)
_vid_wait_override (T) | v_centermove (V) | v_centerspeed (V)
v_cshift (?) | v_idlescale (T) | v_ipitch_cycle (V)
v_ipitch_level (V) | v_iroll_cycle (V) | v_iroll_level (V)
v_iyaw_cycle (V) | v_iyaw_level (V) | v_kickpitch (V)
v_kickroll (V) | v_kicktime (V) | version (C)
vid_describecurrentmode (C) | vid_describemode (C) | vid_describemodes (C)
vid_mode (C) | vid_nopageflip (T) | vid_nummodes (C)
vid_testmode (C) | vid_wait (V) | viewframe (X)
viewmodel (X) | viewnext (X) | viewprev (X)
viewsize (V) | volume (V) | wait (C)

#### +attack / -attack (A)

Syntax: +attack -attack

When attack is active the player is firing their current weapon

See also: impulse

#### +back / -back (A)

Syntax: +back -back

When back is active the player is moving backwards

See also: cl_backspeed

#### +forward / -forward (A)

Syntax: +forward -forward

When forward is active the player is moving forward

See also: cl_forwardspeed

#### +jump / -jump (A)

Syntax: +jump -jump

When jump is active the player is jumping

See also: sv_gravity

#### +klook / -klook (A)

Syntax: +klook -klook

When klook is active forward and back become lookup and lookdown.

#### +left / -left (A)

Syntax: +left -left

When left is active the player is turning left.

See also: cl_yawspeed

#### +lookdown / -lookdown (A)

Syntax: +lookdown -lookdown

When lookdown is active the player's view is moving down.

See also: cl_pitchspeed, centerview

#### +lookup / -lookup (A)

Syntax: +lookup -lookup

When lookup is active the player's view is moving up.

See also: cl_pitchspeed, centerview

#### +mlook / -mlook (A)

Syntax: +mlook -mlook

When mlook is active moving the mouse forwards and backwards performs a lookup and lookdown respectively.

#### +movedown / - movedown (A)

Syntax: +movedown -movedown

When movedown is active the player is swimming down in a liquid.

See also: cl_upspeed

#### +moveleft / -moveleft (A)

Syntax: +moveleft -moveleft

When moveleft is active the player is strafing left.

See also: cl_sidespeed

#### +moveright / -moveright (A)

Syntax: +moveright -moveright

When moveright is active the player is strafing right.

See also: cl_sidespeed

#### +moveup / -moveup (A)

Syntax: +moveup -moveup

When moveup is active the player is swimming up in a liquid.

See also: cl_upspeed

#### +right / -right (A)

Syntax: +right -right

When right is active the player is turning right.

See also: cl_yawspeed

#### +showscores / -showscores (A)

Syntax: +showscores -showscores

When showscores is active in single player mode the current level stats are shown on the status bar. In multiplayer mode the current frags are shown on the full screen.

#### +speed / -speed (A)

Syntax: +speed -speed

When speed is active the player is running.

See also: cl_movespeedkey, cl_anglespeedkey

#### +strafe / -strafe (A)

Syntax: +strafe -strafe

When strafe is active left and right function as +moveleft and +moveright strafing in that direction.

#### +use / -use (A)

Syntax: +use <?> -use

Sets the USE flag for the player. Currently not used by Quake.
Thanks to Sky Golightly <sky@cruzio.com> for information on this command.

#### alias (C)

Syntax: alias <name> [command]

Using alias without the [command] option will erase the alias specified in <name>
From techinfo.txt:

    The alias command is used to create a reference to a command or list of
    commands.  When aliasing multiple commands, or commands that contain
    multiple words (such as "fraglimit 50"), you must enclose all the commands
    in quotation marks and separate each command with a semi-colon.

    Example of an alias that changes some Deathmatch server parameters:

    alias net_game "hostname my_server ; fraglimit 15 ; timelimit 15"
    bind INS net_game

See also: bind

#### ambient_fade (V)

Syntax: ambient_fade <n>

Default: 100

How quickly ambient sounds fade in/out. Higher values make the sound fade quicker.

See also: ambient_level

#### ambient_level (V)

Syntax: ambient_level <n>

Default: 0.3

How loud ambient sounds are. This includes wind, water, and other ambient sounds.

See also: ambient_fade

#### auxlook (?)(1.06)

Syntax: auxlook <?>

Default: 1

I thought this would allow the joystick to function like the mouse during a +mlook but I can't get it to work...

See also: toggle_auxlook

#### ban (C)(1.06)

Syntax: ban <ip address> [mask]

At long last you can ban those troublesome players. Just get their ip with the status command and enter it in. However, don't get your hopes up that much at this point. It is a quick hack and can only current handle one banned ip address. If you enter a higher order domain such as xxx.xxx.xxx any player from that domain will be unable to play. Makes it easy to ban players from a particular ISP or site.
Once you have declared at least one banned site typing ban without an ip address will list the current sites that are being banned.
To use the higher order domain banning the format is: ban xxx.xxx.0.0 xxx.xxx.0.0
Once banning has been turned on you can turn it off by using the command: ban off
Thanks to Daniel A. Sill <sill@zeke.as.utexas.edu> for getting the low-down on this command.

See also: status

#### begin (P)

Syntax: begin

This command reports "Not valid from console" when run. It is part of the Quake client/server protocol. Sent by a client to a server after the client has processed the entity spawn messages and the client is ready to begin rendering and processing game update messages. Not for use by mortals.
Thanks to Sky Golightly <sky@cruzio.com> for information on this command.

See aldo: prespawn, spawn

#### bgmbuffer (V)

Syntax: bgmbuffer <size>

Default: 4096

Amount of memory allocated for the background music buffer, used when playing from a cd.

See also: bgmvolume, cd

#### bgmvolume (V)

Syntax: bgmvolume <vol>

Default: 1.0

Volume of background cd music.

See also: cd, bgmbuffer

#### bind (C)

Syntax: bind <key> [command]

Used to bind a set of commands to a key.
From techinfo.txt:

    Where <key> is a valid key control and [command] is a valid Quake command.

    Example:
    To bind the j key to the 'jump' command, you would type:
    bind j +jump
    and press enter.

    Non-printable keys such as 'page up' and buttons from the mouse/joystick are
    bound in the same manner as printable characters. A list of bindable keys can
    be found at the end of this file.

    Example:
    To bind the page up key to the 'jump' command, you would type:
    bind pageup +jump
    and press enter.

    To bind the right mouse button to the attack command, you would type:
    bind mouse2 +attack
    and press enter.

    The following keys can be bound:

    A-Z                     0-9
    *F1-F12                 *TAB
    ENTER                   SPACE
    BACKSPACE               UPARROW
    DOWNARROW               LEFTARROW
    RIGHTARROW              ALT
    CTRL                    SHIFT
    INS                     DEL
    PGDN                    PGUP
    HOME                    END
    PAUSE                   SEMICOLON

    MOUSE1 (mouse button 1)
    MOUSE2 (mouse button 2)
    MOUSE3 (mouse button 3)

    *~ (tilde)

    * Can only be bound on the command line or in a .cfg file.

    The ESC key cannot be bound.

To bind multiple command enclose the entire command in quotes and separate the commands with semicolons.
bind q "impulse 7; +attack; wait; -attack; impulse 5"
When using actions commands in a bind (ie +attack or +left) the first plus action will automatically have a minus added when the key is released. To prevent this start the command with a semicolon.
bind q ";+mlook" (This will keep mlook on until a -mlook is executed.)

See also: alias, unbind, unbindall

#### bf (C)

Syntax: bf

Background flash, used when you pick up an item.

#### _cl_color (V)

Syntax: _cl_color <value>

Default: 0

Set the player's color. The value is SC*16+PC where SC is shirt color and PC is pants color.

See also: color

#### _cl_name (V)

Syntax: _cl_name <string>

Default: Player

Sets the player's name. Works the same as the name command.

See also: name

#### _config_com_baud (V)

Syntax: _config_com_baud <value>

Default: 57600

Sets the default baud rate for the modem.

See also: com1/com2

#### _config_com_irq (V)

Syntax: _config_com_irq <value>

Default: 4

Sets the default irq for the modem.

See also: com1/com2

#### _config_com_modem (T)

Syntax: _config_com_modem <0/1>

Default: 0

This is a really weird option. If set to one then com1 gets the values that the _config_x commands sets. It doesn't work for com2 though. I think in general it's better just to use the com1 and com2 commands.

See also: com1/com2

#### _config_com_port (V)

Syntax: _config_com_port <value>

Default: 1016

Sets the default port for the modem. Use 0x to enter the number in hex.

See also: com1/com2

#### _config_modem_clear (V)

Syntax: _config_modem_clear <string>

Default: ATZ

Sets the default modem reset command.

See also: com1/com2

#### _config_modem_dialtype (V)

Syntax: _config_modem_dialtype <P/T>

Default: T

Sets the default dailing mode to Touch Tone (T) or Pulse (P).

See also: com1/com2

#### _config_modem_hangup (V)

Syntax: _config_modem_hangup <string>

Default: AT H

Sets the default hangup string for the modem.

See also: com1/com2

#### _config_modem_init (V)

Syntax: _config_modem_init <string>

Default: (none)

Sets the default modem init string.

See also: com1/com2

#### cd (C)

Syntax: cd [command]

Used to control the cd player.
From techinfo.txt:

    cd on
       Re-enables the CD audio system after a "cd off" command.

    cd off
       Shuts down the CD audio system.  No more music will be played unless it
       is re-enabled.

    cd reset
       Causes the CD audio to re-initialize.  This is useful if you change
       CDs or insert the CD after you've already run Quake.

    cd play <track number>
       Plays the specified track one time.

    cd loop <track number>
       Plays the specified track.  It will be repeated until either it is
       manually stopped or another track is started.

    cd stop
       Stops the currently playing track.

    cd resume
       Will resume playback of a stopped track.

    cd eject
       This is for CD players that do not have a manual eject button.

    cd remap <track1> <track2> <track3> ...
       Allows you to switch what tracks are played.  This is especially useful
       if you want to play music other than that on the Quake CD.  If the CD
       audio system is told to play track 1, it will instead play the 1st
       track you specified.  For example: assuming a CD with 1 data track and
       8 music tracks, the command "cd remap 1 9 8 7 6 5 4 3 2" would leave
       the data alone and play the audio tracks as if they had been placed on
       the CD in the opposite order.

    cd info
       Reports information such as the number and types of tracks on the current
       CD, what track (if any) is currently playing, and the playback volume.

See also: bgmvolume, bgmbuffer

#### centerview (C)

Syntax: centerview

Moves player's view back to straight ahead after a +lookup or +lookdown action.

See also: v_centerspeed, force_centerview

#### changelevel (C)

Syntax: changelevel <map>

Switch game play to selected level. Use this command instead of map when you are running a server. Unlike the map command changelevel won't disconnect all of the clients before loading the next level
Thanks to Howard Ship <hship@cac.stratus.com> for the command clarification.

See also: map

#### cl_anglespeedkey (V)

Syntax: cl_anglespeedkey <speed>

Default: 1.5

Sets multiplier for how fast you turn when running.

See also: cl_yawspeed

#### cl_backspeed (V)

Syntax: cl_backspeed <speed>

Default: 400

Sets backward movement rate.

See also: sv_maxspeed, cl_movespeedkey

#### cl_bob (V)

Syntax: cl_bob <value>

Default: 0.02

Sets how much your weapon moves up and down when walking.

See also: cl_bobcycle, cl_bobup

#### cl_bobcycle (V)

Syntax: cl_bobcycle <value>

Default: 0.6

Sets how quickly your weapon moves up and down when walking.

See also: cl_bob, cl_bobup

#### cl_bobup (V)

Syntax: cl_bobup <value>

Default: 0.5

Sets how long your weapon stays up before cycling when walking

See also: cl_bob, cl_bob_cycle

#### cl_forwardspeed (V)

Syntax: cl_forwardspeed <speed>

Default: 200

Sets forward movement rate.

See also: sv_maxspeed, cl_movespeedkey

#### cl_movespeedkey (V)

Syntax: cl_movespeedkey <speed>

Default: 2.0

Set multiplier for how fast you move when running.

See also: cl_backspeed, cl_forwardspeed, sv_maxspeed

#### cl_nolerp (?)

Syntax: cl_nolerp <?>

Default: 0

Don't know what is does.

#### cl_pitchspeed (V)

Syntax: cl_pitchspeed <value>

Default: 150

Sets how fast you lookup and lookdown.

#### cl_rollangle (V)

Syntax: cl_rollangle <value>

Default: 2.0

Sets how much your screen tilts when strafing.

See also: cl_rollspeed

#### cl_rollspeed (V)

Syntax: cl_rollspeed <speed>

Default: 200

Sets how quickly you straighten out after strafing.

See also: cl_rollangle

#### cl_shownet (T)

Syntax: cl_shownet <0/1>

Default: 0

Toggle the display of current net status (Doesn't mean much to me.)
Example output:

    98 98 120
    120
    98

#### cl_sidespeed (V)

Syntax: cl_sidespeed <speed>

Default: 350

Sets how quickly you strafe.

#### cl_upspeed (V)

Syntax: cl_upspeed <speed>

Default: 200

Effects how quickly you moveup and movedown in liquids. Kind of strange that upspeed also effects your downspeed?

#### cl_yawspeed (V)

Syntax: cl_yawspeed <speed>

Default: 140

Sets how quickly you turn left or right.

See also: cl_anglespeedkey

#### clear (C)

Syntax: clear

Clears the console screen.

#### cmd (?)

Syntax: cmd <?>

Don't know what it does.

#### color (C)

Syntax: color <shirt> <pants>

Sets the player's colors. If just the shirt color is used the pants color will be the same.

See also: _cl_color

#### com1 / com2 (C)

Syntax: com1 [command] com2 [command]

Control the com ports on your computer. From techinfo.txt:

    enable | disable
       "enable" means that your configuration is complete and you want to use
       the COM port.  "disable" is used to turn off a COM port, usually to
       change its settings.  The default (initial) state is disabled.

    modem | direct
       Use one of these two to let Quake know if you are using a modem or a
       direct connection (also called a null modem.)  Quake uses this to know
       if it needs to handles modem initialization strings, dialing sequences,
       and hangup procedures.

    reset
       This will reset the COM port to its default settings and state.

    port <n>
    irq <n>
       These are used to set the I/O Port and IRQ that your serial port uses.
       The default values are: port=3f8 irq=4 for COM1 and port=2f8 irq=3 for
       COM2.  Note that the port number is displayed in hexadecimal; to enter
       it you would use something like "COM2 port 0x2f8"; the "0x" preceding
       the "2f8" indicates that you are giving the value in hexadecimal
       otherwise decimal is assumed.

    baud <n>
       Sets the baud rate.  Valid values for <n> are: 9600, 14400,
       28800, 57600, and 115200.  57600 is the default.  Please note that
       this is the baud rate used for the uart, not your modem.  It is
       perfectly valid to use 57600 on a COM port that is connected to a
       28.8 modem.

    8250 | 16550
       Specifies the type of uart chip in your system. Normally this is
       automatically detected, one of these need only be used if your chip
       is incorrectly detected.

    clear
    startup
    shutdown
       This allows you to specify the clear, startup, and shutdown strings
       needed for a modem for playing Quake.  If you've found values that
       previously worked with Doom, use them here.  If you are playing over
       a null modem cable, leave these blank.

    -cts | +cts
    -dsr | +dsr
    -cd  | +cd
       These determine if certain serial control lines should be honored or
       ignored. The "-" means you want that line ignored, the "+" means to honor
       it. "cts" is an abbreviation for "clear to send", "dsr" for
       "data set ready", and "cd" for "carrier detect".  Do notchange these
       values unless you are absolutely positive you need to. The default is to
       ignore all 3 lines.

    Quake always uses no parity, 8 data bits, and 1 stop bit; these
    values can not be changed.  The baud, port, irq, and uart type can
    not be changed on an enabled port, you must disable it first.

    Configuration examples
    ----------------------
    Example1: You have a machine with two serial ports you are going
    to use as a Quake server.  COM1 will be using a null modem cable and
    COM2 will be connected to a 14.4 modem.  You would use commands similar
    (the startup string would almost certainly be different) to these:

    COM1 baud 57600 enable
    COM2 baud 14400 modem startup AT\N0%C0B8 enable

    Example2: You are going to use your machine to connect to a dial-up
    Quake server with your 28.8 modem connected to COM2.  You would
    use a command something like this:

    COM2 baud 57600 modem startup AT\N0%C0B8 enable

    Note the baud rate is not the same as the modem speed.  This allows
    the modem-to-uart communications to occur at a higher rate than
    the modem-to-modem communications.

See also: _config_com_baud, _config_com_irq, _config_com_modem, _config_com_port, _config_modem_clear, _config_modem_dialtype, _config_modem_hangup, _config_modem_init

#### con_notifytime (V)

Syntax: con_notifytime <time>

Default: 3

Sets how long messages are displayed when playing.

#### connect (C)

Syntax: connect <server>

Connect to a Quake server. The name can be an absolute LAN address, IP, or hostname, depending on your network connection.
In v1.06 you can also use the following format "connect xxx.xxx.xxx.xxx:xxxxx" to connect to a certian udpport of a server. Make sure you use the quotes ("") otherwise it doesn't work. See also: slist, disconnect, reconnect

#### coop (T)

Syntax: coop <0/1>

Default: 0

Toggle the cooperative play mode in network games.

See also: deathmatch, teamplay

#### crosshair (T)

Syntax: crosshair <0/1>

Default: 0

Toggle the display of an aiming crosshair.

#### d_mipcap (V)

Syntax: d_mipcap <value>

Default: 0

Sets the detail level. Values range from 0-3 with 0 giving the highest detail.
Thanks to James Boswell <boswell@nspace.com.au> for improved documentation on this command.

See also: d_mipscale, d_subdiv16

#### d_mipscale (V)

Syntax: d_mipscale <value>

Default: 1

Sets how much detail distant objects have. Values range from 0-40 with 0 not bluring distant objects at all. (Uses lots of ram if set to 0)
Thanks to James Boswell <boswell@nspace.com.au> for improved documentation on this command.

See also: d_mipcap, d_subdiv16

#### d_subdiv16 (T)

Syntax: d_subdiv16 <0/1>

Default: 1

Toggle extreme perspective correction.
From techinfo.txt:

    For maximum speed, perspective correction is performed only every 16
    pixels.  This is normally fine, but it is possible to see texture ripples
    in surfaces that are viewed at sharp angles.  For more precise texture
    mapping, set the console variable d_subdiv16 to 0.  Doing this will result
    in somewhat slower performance, however, and the difference in visual
    quality will not normally be noticeable.

See also: d_mipcap, d_mipscale

#### deathmatch (T)

Syntax: deathmatch <0/1>

Default: 0

Toggle the deathmatch play mode in network games.

See also: coop, teamplay

#### demos (C)

Syntax: demos

Start playing queued demo(s) or cycle to next one if already playing.

See also: playdemo, startdemos, stopdemo, record

#### developer (V)

Syntax: developer <0/1>

Default: 0

Toggle display of extra debugging information.
Sample output:

    SpawnServer: e1m1
    Clearing memory
    Programs occupy 400K.
    33 entities inhibited
    Server spawned.
    CL_EstablishConnection: connected to local
    Client LOCAL connected
    the Slipgate Complex
    CL_SignonReply: 1
    CL_SignonReply: 2
    CL_SignonReply: 3
     4.2 megabyte data cache
    CL_SignonReply: 4

Thanks to Scott McDermott <scottm@compumedia.com> for getting me to document this command.

#### disconnect (C)

Syntax: disconnect

Leave current server.

See also: connect, reconnect

#### echo (C)

Syntax: echo <string>

Print text to your own console.

#### edgefriction (V)

Syntax: edgefriction <value>

Default: 2

Sets how easy it is to fall off an edge.

#### edict (C)

Syntax: edict <value>

Get information on an edict in the game. This dumps a bunch of information about the object.
Example output:

     EDICT 1:
    modelindex      59.0
    absmin         '463.0 -369.0  63.0'
    absmax         '497.0 -335.0 121.0'
    movetype         3.0
    solid            3.0
    origin         '480.0 -352.0  88.0'
    oldorigin      '480.0 -352.0  88.0'
    angles         '  0.0  90.0   0.0'
    classname      player
    model          progs/player.mdl
    frame           16.0
    mins           '-16.0 -16.0 -24.0'
    maxs           ' 16.0  16.0  32.0'
    size           ' 32.0  32.0  56.0'
    think          player_stand1()
    nextthink        2.8
    health         100.0
    weapon           1.0
    weaponmodel    progs/v_shot.mdl
    currentammo     25.0
    ammo_shells     25.0
    items          4353.0
    takedamage       2.0
    view_ofs       '  0.0   0.0  22.0'
    v_angle        '  0.0  90.0   0.0'
    netname        Prog
    flags          4616.0
    colormap         1.0
    team             7.0
    max_health     100.0
    watertype       -1.0
    th_pain        player_pain()
    th_die         PlayerDie()
    walkframe        5.0
    attack_finished  1.4
    jump_flag      -31.7
    air_finished    14.7
    dmg              2.0

See also: edictcount, edicts

#### edictcount (C)

Syntax: edictcount

Display summary information about game edicts.
Example output:

    num_edicts:165
    active    :164
    view      :107
    touch     :123
    step      : 23

See also: edict, edicts

#### edicts (C)

Syntax: edicts

Display information on all edicts in game.

See also: edict, edictcount

#### entities (C)

Syntax: entities

Display a list of used objects in the game.
Example output:

      0:maps/e1m5.bsp: 0  (  0.0,  0.0,  0.0) [  0.0   0.0   0.0]
      1:EMPTY
      2:EMPTY
      3:EMPTY
      4:EMPTY
      5:progs/player.mdl: 0  (-1647.9,1722.4, 24.0) [  0.0 -94.2   0.0]
      6:EMPTY
      7:progs/player.mdl:16  (-1205.8,2276.6, 24.0) [  0.0 215.6   0.0]
      (...) {Text deleted}

#### exec (C)

Syntax: exec <filename>

Execute a script file.

#### flush (C)

Syntax: flush

Clears the current game cache this includes cached sounds.

See also: precache, soundlist

#### fly (T)

Syntax: fly

Default: Off

Toggle fly mode. Use moveup and movedown to adjust height.

#### force_centerview (C)(1.06)

Syntax: force_centerview

Snaps the view back to the center regardless if you are in a +mlook, +klook, +lookup, or +lookdown.

See also: centerview

#### fov (V)

Syntax: fov <value>

Default: 90

Sets the field of vision which determines how close you are to the objects.

#### fraglimit (V)

Syntax: fraglimit <value>

Default: 0

Sets the number of frags needed before exiting a level.

See also: timelimit, noexit, samelevel

#### gamma (V)

Syntax: gamma <value>

Default: 0.0

Sets the gamma correction level (aka brightness.)

See also: r_fullbright

#### give (V)

Syntax: give <item> <amount>

Give yourself an amount of an item. I still haven't been able to figure out how to get armor.

Item | Description | Maximum
--- | --- | ---
1 | Axe
2 | Shotgun
3 | Double Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | Lighting Gun
C | Batteries | 255
H | Health | 32767
N | Nails | 255
R | Rockets | 255
S | Shotgun Shells | 255

#### god (T)

Syntax: god

Default: Off

Toggle god mode.

#### help (C)

Syntax: help

Bring up the help system (like pressing F1.)

#### host_framerate (V)

Syntax: host_framerate <value>

Default: 0

This adjusts the time rate in Quake. A value of 0.1 is very fast and almost unplayable. A value of 0.01 will make the gameplay speedy, but still leaves some decent control. After you change the value, exit the console and hold the "TAB" key. Notice the time indicator on the bottom right. The higher the rate, the faster time passes.
Thanks to "K. Andrew Knies" <aknies@midohio.net> for everything about this command.

#### host_speeds (T)

Syntax: host_speeds <0/1>

Default: 0

Toggle the display of host info. They are in order: total time, server time, graphics time, and sound time. Each one is represented in ms and indicates the total time spend in each sub-system.
Sample output:

     34 tot   3 server  31 gfx   0 snd
     36 tot   3 server  31 gfx   2 snd
     34 tot   3 server  31 gfx   0 snd

See also: snd_noextraupdate

#### hostname (V)

Syntax: hostname <name>

Default: unnamed or local

Sets the hostname of your computer.

#### impulse (C)

Syntax: impulse <value>

Perform weapon selection and also a few cheats.

Value | Action
--- | ---
1-8 | Select corresponding weapon
9 | Gives you all the weapons and keys
10 | Selects your next weapon by numerical value
11 | Gives you a rune
12 | Selects your last weapon by numerical value (1.06)
255 | Gives you quad damage

#### joybuttons (V)

Syntax: joybuttons <value> Sets the number of buttons on your joystick.

See also: joystick

#### joystick (T)

Syntax: joystick <0/1>

Toggles if you have a joystick or not.

See also: joybuttons

#### kick (C)

Syntax: kick <player> or <# player-number>

Kick a player off of a network game. Only valid from the server console.
Under v1.06 you can also kick a player based on their number listed in the status command. (Haven't tried the kick by number yet but it should work. I also believe that you will need the extra spaces between the # and the player-number.)
Thanks to Jim Peterson <jspeter@birch.ee.vt.edu> for an update on this command.

See also: status

#### kill (C)

Syntax: kill

Reduce your health to zero.

#### listen (T)

Syntax: listen <0/1>

Default: 0

Toggles if the server will "listen" for connections.

#### load (C)

Syntax: load <filename>

Load a saved game.

See also: save, menu_load

#### loadas8bit (T)

Syntax: loadas8bit <0/1>

Default: 0

Toggles if sounds are loaded as only 8-bit.

#### lookspring (T)

Syntax: lookspring <0/1>

Default: 0

Toggles if the view will recenter after mlook is deactivated. Only works with the mouse and joystick.

See also: centerview

#### lookstrafe (T)

Syntax: lookstrafe <0/1>

Default: 0

Toggles if turn left and right will strafe left and right when a mlook is active. Only works with the mouse.

#### m_filter (?)

Syntax: m_filter <?>

Default: 1

Don't know what it does. (Probably has to do with the mouse.)

#### m_forward (V)

Syntax: m_forward <value>

Default: 1

Sets how quickly moving the mouse forwards and backwards causes the player to move in the respective direction.

#### m_pitch (V)

Syntax: m_pitch <value>

Default: 0.022

Sets how quickly you lookup and lookdown with the mouse when a mlook is active.

#### m_side (V)

Syntax: m_side <value>

Default: 0.8

Sets how quickly you strafe left and right with the mouse.

#### m_yaw (V)

Syntax: m_yaw <value>

Default: 0.022

Sets how quickly you turn left and right with the mouse.

#### map (C)

Syntax: map <name>

Load an start a new map. Use of this command on a multiplayer server isn't recommended because it disconnects all of the clients before loading the next level. The changelevel command is preferred in this instance.
Thanks to Howard Ship <hship@cac.stratus.com> for the command clarification.

Name | Description | Name | Description
--- | --- | --- | ---
Deathmatch Arena
dm6 | The Dark Zone | dm5 | The Cistern
dm4 | The Bad Place | dm3 | The Abandoned Base
dm2 | Claustrophobopolis | dm1 | Place of Two Deaths
Final Level
end | Shub-Niggurath's Pit
The Elder World
e4m8 | The Nameless City | e4m7 | Azure Agony
e4m6 | The Pain Maze | e4m5 | Hell's Atrium
e4m4 | The Palace of Hate | e4m3 | The Elder God Shrine
e4m2 | The Tower of Despair | e4m1 | The Sewage System
Netherworld
e3m7 | The Haunted Halls | e3m6 | Chambers of Torment
e3m5 | Wind Tunnels | e3m4 | Satan's Dark Delight
e3m3 | The Tomb of Terror | e3m2 | The Vaults of Zin
e3m1 | Termination Central
Realm of Black Magic
e2m7 | Underearth | e2m6 | The Dismal Oubliette
e2m5 | The Wizard's Manse | e2m4 | The Ebon Fortress
e2m3 | Crypt of Decay | e2m2 | Ogre Citadel
e2m1 | The Installation
Doomed Dimension
e1m8 | Ziggurat Vertigo | e1m7 | The House of Chthon
e1m6 | The Door To Chthon | e1m5 | Gloom Keep
e1m4 | The Grisly Grotto | e1m3 | The Necropolis
e1m2 | Castle of the Damned | e1m1 | Slipgate Complex
Welcome to Quake
start | Entrance

See also: changelevel, restart

#### maxplayers (V)

Syntax: maxplayers <value>

Default: 1

Sets the number of players that can connect to a server. (Must use the command line to go above 4. Can't be changed while the server is running.)

#### menu_keys (C)

Syntax: menu_keys

Brings up the key customization menu.

See also: menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

#### menu_load (C)

Syntax: menu_load

Brings up the load game menu.

See also: menu_keys, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

#### menu_main (C)

Syntax: menu_main

Brings up the main menu.

See also: togglemenu, menu_keys, menu_load, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

#### menu_multiplayer (C)

Syntax: menu_multiplayer

Brings up the multiplayer game option menu. See also: menu_keys, menu_load, menu_main, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

#### menu_options (C)

Syntax: menu_options

Brings up the options menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

#### menu_quit (C)

Syntax: menu_quit

Brings up the quit dialog box. See also: quit, menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_save, menu_setup, menu_singleplayer, menu_video

#### menu_save (C)

Syntax: menu_save

Brings up the save game menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_setup, menu_singleplayer, menu_video

#### menu_setup (C)

Syntax: menu_setup

Brings up the setup menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_singleplayer, menu_video

#### menu_singleplayer (C)

Syntax: menu_singleplayer

Brings up the single player option menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_video

#### menu_video (C)

Syntax: menu_video

Brings up the video option menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer

#### messagemode (C)

Syntax: messagemode

Prompts for string to broadcast to all other players. This command can not be used on a dedicated server because it lacks the graphic environment. Use a say or say_team command from a dedicated server.
Thanks to Robert Coward INF-SP <rcoward@madge.com> for improved documentation of this command.

See also: messagemode2, say, say_team

#### messagemode2 (C)

Syntax: messagemode2

Prompts for string to broadcast to your team members. This command can not be used on a dedicated server because it lacks the graphic environment. Use a say or say_team command from a dedicated server.
Thanks to Robert Coward INF-SP <rcoward@madge.com> for improved documentation of this command.

See also: messagemode, say, say_team

#### name (V)

Syntax: name <string>

Default: Player

Sets your name that other players will see and what console messages will use.

See also: _cl_name

#### net_messagetimeout (V)

Syntax: net_messagetimeout <value>

Default: 300

Sets how long the program waits for network info before considering the connection broken.

#### net_stats (C)

Syntax: net_stats

Reports a summary of the current net information.
Example output:

    unreliable messages sent   = 0
    unreliable messages recv   = 0
    reliable messages sent     = 0
    reliable messages received = 0
    packetsSent                = 0
    packetsReSent              = 0
    packetsReceived            = 0
    receivedDuplicateCount     = 0
    shortPacketCount           = 0
    droppedDatagrams           = 0

#### noclip (T)

Syntax: noclip

Default: Off

Toggle no clipping mode.

#### noexit (V)

Syntax: noexit <value>

Default: 0

Toggles if players can leave the current level. Useful for servers that what to use only one map. Set noexit equal to 1 to enable this option.
v1.06 corrects a bug that didn't allow people to leave the "start" or "end" maps if this option was set. Under v1.06 it works like this on the "start" map:
0 = noexit off (people can exit at any point)
1 = noexit on (goes through the levels in order. exits the "start" map when either the fraglimit or timelimit has been reached)
2 = noexit on (players may exit into what ever episode they want from the "start" map before the fraglimit or timelimit has been reached)
In both cases the noexit flag works as normal on all other levels.
See also: fraglimit, timelimit, samelevel

#### noisetrack (?)

Syntax: noisetrack <?>

This command reports "Couldn't open" when run.

#### nosound (T)

Syntax: nosound <0/1>

Default: 0

Toggles if sound is on.

#### notarget (T)

Syntax: notarget

Default: Off

Toggle if creatures automatically attack player.

#### path (C)

Syntax: path

Show what paths Quake is using.
Example output:

    Current search path:
    c:/quake_sw/id1/pak0.pak (339 files)
    c:/quake_sw/id1

#### pausable (T)

Syntax: pausable <0/1>

Default: 1

Toggles if players can pause the game.

See also: pause

#### pause (C)

Syntax: pause

Pause and unpause the game.

See also: pausable

#### ping (C)

Syntax: ping

Find the ping time to the server and to all other connected players.
Example output:

    Client ping times:
     443 Player1
     368 Player2
     462 Player3
      93 Player4
    1050 Player5

#### play (C)

Syntax: play <name>

Play a sound effect.

ambience/buzz1.wav | ambience/comp1.wav | ambience/drip1.wav | ambience/drone6.wav
ambience/fire1.wav | ambience/fl_hum1.wav | ambience/hum1.wav | ambience/suck1.wav
ambience/swamp1.wav | ambience/swamp2.wav | ambience/thunder1.wav | ambience/water1.wav
ambience/wind2.wav | ambience/windfly.wav | blob/death1.wav | blob/hit1.wav
blob/land1.wav | blob/sight1.wav | boss1/death.wav | boss1/out1.wav
boss1/pain.wav | boss1/sight1.wav | boss1/throw.wav | boss2/death.wav
boss2/idle.wav | boss2/pop2.wav | boss2/sight.wav | buttons/airbut1.wav
buttons/switch02.wav | buttons/switch04.wav | buttons/switch21.wav | demon/ddeath.wav
demon/dhit2.wav | demon/djump.wav | demon/dland2.wav | demon/dpain1.wav
demon/idle1.wav | demon/sight2.wav | dog/dattack1.wav | dog/ddeath.wav
dog/dpain1.wav | dog/dsight.wav | dog/idle.wav | doors/airdoor1.wav
doors/airdoor2.wav | doors/basesec1.wav | doors/basesec2.wav | doors/basetry.wav
doors/baseuse.wav | doors/ddoor1.wav | doors/ddoor2.wav | doors/doormv1.wav
doors/drclos4.wav | doors/hydro1.wav | doors/hydro2.wav | doors/latch2.wav
doors/medtry.wav | doors/meduse.wav | doors/runetry.wav | doors/runeuse.wav
doors/stndr1.wav | doors/stndr2.wav | doors/winch2.wav | enforcer/death1.wav
enforcer/enfire.wav | enforcer/enfstop.wav | enforcer/idle1.wav | enforcer/pain1.wav
enforcer/pain2.wav | enforcer/sight1.wav | enforcer/sight2.wav | enforcer/sight3.wav
enforcer/sight4.wav | fish/bite.wav | fish/death.wav | fish/idle.wav
hknight/attack1.wav | hknight/death1.wav | hknight/grunt.wav | hknight/hit.wav
hknight/idle.wav | hknight/pain1.wav | hknight/sight1.wav | hknight/slash1.wav
items/armor1.wav | items/damage.wav | items/damage2.wav | items/damage3.wav
items/health1.wav | items/inv1.wav | items/inv2.wav | items/inv3.wav
items/itembk2.wav | items/protect.wav | items/protect2.wav | items/protect3.wav
items/r_item1.wav | items/r_item2.wav | items/suit.wav | items/suit2.wav
knight/idle.wav | knight/kdeath.wav | knight/khurt.wav | knight/ksight.wav
knight/sword1.wav | knight/sword2.wav | misc/basekey.wav | misc/h2ohit1.wav
misc/medkey.wav | misc/menu1.wav | misc/menu2.wav | misc/menu3.wav
misc/null.wav | misc/outwater.wav | misc/power.wav | misc/r_tele1.wav
misc/r_tele2.wav | misc/r_tele3.wav | misc/r_tele4.wav | misc/r_tele5.wav
misc/runekey.wav | misc/secret.wav | misc/talk.wav | misc/trigger1.wav
misc/water1.wav | misc/water2.wav | ogre/ogdrag.wav | ogre/ogdth.wav
ogre/ogidle.wav | ogre/ogidle2.wav | ogre/ogpain1.wav | ogre/ogsawatk.wav
ogre/ogwake.wav | plats/medplat1.wav | plats/medplat2.wav | plats/plat1.wav
plats/plat2.wav | plats/train1.wav | plats/train2.wav | player/axhit1.wav
player/axhit2.wav | player/death1.wav | player/death2.wav | player/death3.wav
player/death4.wav | player/death5.wav | player/drown1.wav | player/drown2.wav
player/gasp1.wav | player/gasp2.wav | player/gib.wav | player/h2odeath.wav
player/h2ojump.wav | player/inh2o.wav | player/inlava.wav | player/land.wav
player/land2.wav | player/lburn1.wav | player/lburn2.wav | player/pain1.wav
player/pain2.wav | player/pain3.wav | player/pain4.wav | player/pain5.wav
player/pain6.wav | player/plyrjmp8.wav | player/slimbrn2.wav | player/teledth1.wav
player/tornoff2.wav | player/udeath.wav | shalrath/attack.wav | shalrath/attack2.wav
shalrath/death.wav | shalrath/idle.wav | shalrath/pain.wav | shalrath/sight.wav
shambler/melee1.wav | shambler/melee2.wav | shambler/sattck1.wav | shambler/sboom.wav
shambler/sdeath.wav | shambler/shurt2.wav | shambler/sidle.wav | shambler/smack.wav
shambler/ssight.wav | soldier/death1.wav | soldier/idle.wav | soldier/pain1.wav
soldier/pain2.wav | soldier/sattck1.wav | soldier/sight1.wav | vomitus/v_sight1.wav
weapons/ax1.wav | weapons/bounce.wav | weapons/grenade.wav | weapons/guncock.wav
weapons/lhit.wav | weapons/lock4.wav | weapons/lstart.wav | weapons/pkup.wav
weapons/r_exp3.wav | weapons/ric1.wav | weapons/ric2.wav | weapons/ric3.wav
weapons/rocket1i.wav | weapons/sgun1.wav | weapons/shotgn2.wav | weapons/spike2.wav
weapons/tink1.wav | wizard/hit.wav | wizard/wattack.wav | wizard/wdeath.wav
wizard/widle1.wav | wizard/widle2.wav | wizard/wpain.wav | wizard/wsight.wav
zombie/idle_w2.wav | zombie/z_fall.wav | zombie/z_gib.wav | zombie/z_hit.wav
zombie/z_idle.wav | zombie/z_idle1.wav | zombie/z_miss.wav | zombie/z_pain.wav
zombie/z_pain1.wav | zombie/z_shot1.wav

See also: playvol, volume

#### playdemo (C)

Syntax: playdemo <filename>

Play a demo.

See also: demos, startdemos, stopdemo, record

#### playvol (C)

Syntax: playvol <filename> <volume>

Play a sound at a given volume. See play for a list of sounds.

See also: play

#### pointfile (C)

Syntax: pointfile <filename.pts>

If qbsp generates a non-zero .pts file a leak exists in the level. This file is created in the maps directory. By using the pointfile command, it will load the .pts file and give a dotted line indicating where the leak(s) are on the level.
Thanks to Sam Kenny <SamKenny@cit.com.au> for the documentation of this command.

#### precache (T)

Syntax: precache <0/1>

Default: 1

Toggle the use of a precache. This caches sound and other game data.

See also: flush

#### prespawn (P)

Syntax: prespawn

This command reports "Not valid from console" when run. Part of the Quake client/server protcol. Sent by a client to a server after the client has processed the sign-on message from the server and the client is ready to process the ??? messages. Not for use by mortals.
Thanks to Sky Golightly <sky@cruzio.com> for information on this command.

See also: begin, spawn

#### profile (C)

Syntax: profile <command>

Report info about which Quake C commands have been called the most. If the command all is used it will dump every function call made.
Example output:

     185532 FindTarget
      62092 ai_stand
      39519 ai_walk
      22417 WaterMove
      21654 PlayerPreThink
      16262 PlayerPostThink
      16233 ImpulseCommands
      14015 LinkDoors
      12368 CheckRules
      10822 CheckPowerups

Thanks to Nelson Hicks <0201207@acad.nwmissouri.edu> for added documentation for this command.

#### quit (C)

Syntax: quit

Exit the game no questions asked.

See also: menu_quit

#### r_aliastransadj (?)

Syntax: r_aliastransadj <?>

Default: 200

Don't know what it does.

#### r_aliastransbase (?)

Syntax: r_aliastransbase <?>

Default: 200

Don't know what it does.

#### r_ambient (V)

Syntax: r_ambient <value>

Default: 0

Sets how bright the rooms are by default. This applies regardless even if a seperate light source exists for a room.

Thanks to Scott McDermott <scottm@compumedia.com> for the documentation for this command.

See also: r_fullbright

#### r_clearcolor (V)

Syntax: r_clearcolor <value>

Default: 2

This sets the color for areas outside of the current map. You will really only see it if you have no clipping on and walk "outside".

#### r_drawentities (T)

Syntax: r_drawentities <0/1>

Default: 1

Toggles the drawing of objects like doors, bars, buttons, monsters, items, nails, rockets, and grenades.

#### r_drawflat (T)

Syntax: r_drawflat <0/1>

Default: 0

Toggles the drawing of texture maps (0=use texture maps.)

#### r_draworder (T)

Syntax: r_draworder <0/1>

Default: 0

Toggles correct drawing order. (1=x-ray vision.)

#### r_drawviewmodel (T)

Syntax: r_drawviewmodel <0/1>

Default: 1

Toggles the drawing of your weapon.

#### r_dspeeds (T)

Syntax: r_dspeeds <0/1>

Default: 0

Toggles the displaying of information. (What it is I don't know.)
Example output:

     31  0.4p   5w  2.5b  20s  1.0e  1.6v
     26  0.5p   5w  2.5b  15s  1.0e  1.6v
     28  0.4p   5w  2.2b  17s  1.0e  1.6v
     26  0.3p   5w  2.5b  15s  1.0e  1.6v
     26  0.2p   5w  2.2b  15s  1.0e  1.6v

#### r_fullbright (T)

Syntax: r_fullbright <0/1>

Default: 0

Toggles whether light shading is in effect.

See also: gamma

#### r_graphheight (V)

Syntax: r_graphheight <value>

Default: 10

Set the number of lines displayed in the timegraph.

See also: r_timegraph

#### r_maxedges (V)

Syntax: r_maxedges <value>

Default: 2000

Sets the maximum number of edges. Haven't seen any effect on the game or any change when displaying edge stats.

See also: r_numedges, r_reportedgeout

#### r_maxsurfs (V)

Syntax: r_maxsurfs <value>

Default: 1000

Sets the maximum number of surfaces. Haven't seen any effect on the game or any change when displaying surface stats.

See also: r_numsurfs, r_reportsurfout

#### r_numedges (T)

Syntax: r_numedges <0/1>

Default: 0

Toggles the displaying of number of edges currently being viewed.
Example output:

    Used 517 of 2000 edges; 521 max
    Used 517 of 2000 edges; 521 max
    Used 513 of 2000 edges; 521 max
    Used 513 of 2000 edges; 521 max

See also: r_maxedges, r_reportedgeout

#### r_numsurfs (T)

Syntax: r_numsurfs <0/1>

Default: 0

Toggles the displaying of number of surfaces currently being viewed.
Example output:

    Used 183 of 1001 surfs; 188 max
    Used 182 of 1001 surfs; 188 max
    Used 182 of 1001 surfs; 188 max
    Used 178 of 1001 surfs; 188 max

See also: r_maxsurfs, r_reportsurfout

#### r_polymodelstats (T)

Syntax: r_polymodelstats <0/1>

Default: 0

Toggles the displays of number of polygon models current being viewed.
Example output:

      5 polygon model drawn
      6 polygon model drawn
      5 polygon model drawn

#### r_reportedgeout (T)

Syntax: r_reportedgeout <0/1>

Default: 0

Toggle the display of how many edges where not displayed. I've never had this happen during normal game play, only when in noclip mode.

See also: r_maxedges, r_numedges

#### r_reportsurfout (T)

Syntax: r_reportsurfout <0/1>

Default: 0

Toggle the display of how many surfaces where not displayed. This shouldn't happen during normal game play, only when in noclip mode.

See also: r_maxsurfs, r_numsurfs

#### r_speeds (T)

Syntax: r_speeds <0/1>

Default: 0

Toggles the displaying of drawing time and stats of what is currently being viewed.
Example output:

     32.7 ms 267/196/ 74 poly   3 surf
     38.6 ms 267/196/ 74 poly  20 surf
     60.4 ms 267/196/ 74 poly  18 surf
     38.2 ms 267/196/ 73 poly  18 surf

#### r_timegraph (T)

Syntax: r_timegraph <0/1>

Default: 0

Toggle the display of a performance graph. (Lower levels is better performance.)

See also: r_graphheight

#### r_waterwarp (T)

Syntax: r_waterwarp <0/1>

Default: 1

Toggles whether surfaces are warped when in a liquid.

#### reconnect (C)

Syntax: reconnect

Reconnect to last server.

See also: connect, disconnect

#### record (C)

Syntax: record <filename> <map> [cd track]

Record a demo on a map using an optional cd track.

See also: stop, playdemo

#### registered (T)

Syntax: registered <0/1>

Default: 0 for SW

Toggles if the game is registered or not.

#### restart (C)

Syntax: restart

Restart the current level.

See also: map, changelevel

#### samelevel (T)

Syntax: samelevel <0/1>

Default: 0

Toggles whether exiting a level advances to the next one.

See also: fraglimit, timelimit, noexit

#### save (C)

Syntax: save <filename>

Save a game.

See also: load, menu_save

#### say (C)

Syntax: say <string>

Broadcast a string to all other players. The string is entered on the console, unlike the messagemode and messagemode2 commands, allowing it to be used on a dedicated server.
Thanks to Robert Coward INF-SP <rcoward@madge.com> for improved documentation of this command.

See also: messagemode, messagemode2, say_team

#### say_team (C)

Syntax: say_team <string>

Broadcast a string to all players on your team. The string is entered on the console, unlike the messagemode and messagemode2 commands, allowing it to be used on a dedicated server.
Thanks to Robert Coward INF-SP <rcoward@madge.com> for improved documentation of this command.

See also: messagemode2, messagemode, say

#### sbinfo (C)

Syntax: sbinfo

Report current Sound Blaster settings.
Example output:

    BLASTER=A220 I5 D1 H5 P330 T6
    dsp version=4.13
    dma=5
    dma position:79

#### scr_centertime (V)

Syntax: scr_centertime <time>

Default: 2

Sets how long the screen hints are displayed on the screen. This includes messages like "Step into the slipgate...".
Thanks to Sky Golightly <sky@cruzio.com> for information on this command.

#### scr_conspeed (V)

Syntax: scr_conspeed <value>

Default: 300

Sets how quickly the console screen scrolls up and down.

#### scr_ofsx (V)

Syntax: scr_ofsx <value>

Default: 0

Sets how much to offset the view in the x direction.

See also: scr_ofsy, scr_ofsz

#### scr_ofsy (V)

Syntax: scr_ofsy <value>

Default: 0

Sets how much to offset the view in the y direction.

See also: scr_ofsx, scr_ofsz

#### scr_ofsz (V)

Syntax: scr_ofsz <value>

Default: 0

Sets how much to offset the view in the z direction.

See also: scr_ofsx, scr_ofsy

#### scr_printspeed (V)

Syntax: scr_printspeed <speed>

Default: 8

Controls how fast the text is displayed at the end of the single player episodes.
Thanks to Phrog`gee <mistix@nando.net> for the syntax of this command.

#### screenshot (V)

Syntax: screenshot

Captures a .pcx file of your current view. Automatically names based on the existence of other screenshots.

#### sensitivity (V)

Syntax: sensitivity <value>

Default: 3

Sets the sensitivity of the mouse.

#### serverprofile (T)

Syntax: serverprofile <0/1>

Default: 0

Toggles if server stats are displayed.
Example output:

    serverprofile:  4 clients 40 msec

#### showpause (T)

Syntax: showpause <0/1>

Default: 1

Toggles if the pause icon appears when the game is paused.

See also: showram, showturtle

#### showram (T)

Syntax: showram <0/1>

Default: 1

Toggles if the ram icon appears when then game is running out of memory.

See also: showpause, showturtle

#### showturtle (T)

Syntax: showturtle <0/1>

Default: 0

Toggle if the turtle icon is displayed when the frame rate drops below 10.

See also: showpause, showram

#### sizedown (C)

Syntax: sizedown

Reduces the screen size.

See also: sizeup, viewsize

#### sizeup (C)

Syntax: sizeup

Increases the screen size.

See also: sizedown, viewsize

#### skill (V)

Syntax: skill <level>

Set the skill level of the game. Useful to set before recording a demo.

Value | Difficulty
--- | ---
0 | Easy
1 | Normal
2 | Hard
3 | Nightmare

#### slist (C)

Syntax: slist

Show Quake servers located on the LAN.

See also: connect

#### snd_noextraupdate (T)

Syntax: snd_noextraupdate <0/1>

Default: 0

Toggles the correct value display in host_speeds. Usually messes up sound playback when in effect.
From techinfo.txt:

    (Note, though, that unless you also do
    snd_noextraupdate 1<enter>
    sound time will actually show up as graphics time.  However,
    snd_noextraupdate 1 can cause sound to get choppy, so it's not
    generally recommended.)

See also: host_speeds

#### snd_show (T)

Syntax: snd_show <0/1>

Default: 0

Toggles the display of sounds currently being played.
Example output:

    255 106 zombie/z_idle.wav
    218  66 zombie/z_idle.wav
    241  89 zombie/z_idle.wav
     70 117 ambience/fire1.wav
    ----(4)----

#### soundinfo (C)

Syntax: soundinfo

Reports information on the sound system.
Example output:

        1 stereo
     2048 samples
     1963 samplepos
       16 samplebits
        1 submission_chunk
    11025 speed
    0x7d7cf000 dma buffer
       78 total_channels

#### soundlist (C)

Syntax: soundlist

Reports a list of sounds current cached.
Example output:

    (...) {Text Deleted}
    L( 8b) 137481 : ambience/drip1.wav
    L( 8b)  68273 : ambience/swamp2.wav
    L( 8b)  68271 : ambience/swamp1.wav
     (16b)  28120 : weapons/lstart.wav
     ( 8b)  12815 : items/damage3.wav
     ( 8b)  19694 : misc/power.wav
    Total resident: 1689633

See also: flush

#### spawn (P)

Syntax: spawn

This command reports "Not valid from console" when run. Part of the Quake client/server protocol. Sent by a client to a server after the client has processed the prespawn messages and the client is ready to process the entity spawn messages. Not for use by mortals.
Thanks to Sky Golightly <sky@cruzio.com> for information on this command.

See also: begin, prespawn

#### startdemos (C)

Syntax: startdemos <filename1> <filename2> <...>

Setup a queue of demos to loop. Note: once you queue 3 demos your list must always have 3 demos in it. Likewise if you queue 5 future lists must also have 5 demos in them. If after queueing up 4 demos you then queue 2 the two demos from the 4 demo queue will be played after your two newly queued demos.

See also: demos, playdemo, stopdemo

#### status (C)

Syntax: status

Report current game information.
Example output:

    host:    hostname
    map:     e1m6
    players: 8 active (8 max)

    player1             1   0:03:39
       xxx.xxx.xxx.xxx:xxxx
    player2             2   0:06:49
       xxx.xxx.xxx.xxx:xxxx
    (...) {Text deleted}

#### stop (C)

Syntax: stop

Stop the recording of a demo.

See also: record

#### stopdemo (C)

Syntax: stopdemo

Stops the current playback of demos.

See also: playdemo, demos

#### stopsound (C)

Syntax: stopsound

Stops all sounds currently being played.

#### stuffcmds (C)

Syntax: stuffcmds

Starts execution of command line parameters. (Used during game startup.)

#### sv_accelerate (V)

Syntax: sv_accelerate <value>

Default: 10

Sets how quickly objects accelerate.

#### sv_aim (V)

Syntax: sv_aim <value>

Default: 0.93

Sets how much leniency there is in the vertical aim when shooting at a target. (0.0 gives the most leniency.)

#### sv_friction (V)

Syntax: sv_friction <value>

Default: 4

Sets how much friction there is.

#### sv_gravity (V)

Syntax: sv_gravity <value>

Default: 800

Sets how much gravity there is.

#### sv_idealpitchscale (V)

Syntax: sv_idealpitchscale <value>

Default: 0.8

Sets how much a player's view changes when on steps or an incline.

#### sv_maxspeed (V)

Syntax: sv_maxspeed <value>

Default: 320

Sets the maximum rate at which a player can move.

See also: cl_backspeed, cl_forwardspeed, cl_movespeedkey

#### sv_maxvelocity (V)

Syntax: sv_maxvelocity <value>

Default: 2000

Sets the maximum speed at which anything can move including ammunition.

#### sv_nostep (T)

Syntax: sv_nostep <0/1>

Default: 0

Toggles if players automatically walk up steps or if they have to jump up them.

#### sv_stopspeed (V)

Syntax: sv_stopspeed <value>

Default: 100

Sets how quickly objects stop moving.

#### sys_ticrate (V)

Syntax: sys_ticrate <value>

Default: 0.05

From techinfo.txt:

    Only used by dedicated servers.  This determines the rate at which the
    server will send out updates to the clients.  The default value is 0.05
    (20 updates per second.)  For servers where bandwidth is limited, using
    modems or the internet for example, it is advisable to lower this value
    to 0.1 (10 updates per second.)  This will have a very minor effect on
    responsiveness, but will half the outbound bandwidth required making the
    modem players a lot happier.

#### teamplay (T)

Syntax: teamplay <value>

Default: 0

Toggles whether team mode is on during networked games. Set teamplay to 1 to turn this option on.
Under v1.06 teamplay 2 was added which allows you to hurt yourself and your team, but if you kill someone on your team you lose a frag.

See also: coop, deathmatch

#### tell (C)

Syntax: tell <player> <string>

Send a message to a single player. Very nice in large network games.

#### temp1 (X)

A variable used mainly by Quake C programmers for just about anything.

#### test (C)

Syntax: test <server>

Reports information about the players currently on the selected server.
Example output:

    Player1
      frags:  0  colors:13 13  time:284
      xxx.xxx.xxx.xxx:xxxx
    Player2
      frags:  5  colors:4 3  time:11
      xxx.xxx.xxx.xxx:xxxx
    Player3
      frags: 13  colors:3 11  time:3
      xxx.xxx.xxx.xxx:xxxx

Thanks to Brian Jones <polydat@infi.net> for the syntax of this command.

#### test2 (C)

Syntax: test2 <server>

Reports information about the current conditions the selected server has.
Example output:

    sv_maxspeed       320
    sv_friction       4
    sv_gravity        800
    noexit            0
    teamplay          0
    timelimit         0
    fraglimit         50

Thanks to Brian Jones <polydat@infi.net> for the syntax of this command.

#### timedemo (C)

Syntax: timedemo <demoname>

Gets demo speed and time. Only works correctly under v1.06.
Example output:

    969 Frames 52.2 Seconds 18.6 FPS

#### timelimit (V)

Syntax: timelimit <value>

Default: 0

Set a time to play the level before advancing to the next one.

See also: fraglimit, noexit, samelevel

#### timerefresh (C)

Syntax: timerefresh

Does a quick test to find out video refresh for your current location. It calculates this based on doing a 360 degree turn.
Example output:

    3.675180 Seconds (34.828222 FPS)

#### toggle_auxlook (T)(1.06)

Syntax: toggle_auxlook

Toggles if auxlook is on or off.

See also: auxlook

#### toggleconsole (C)

Syntax: toggleconsole

Display or remove the console screen.

#### togglemenu (C)

Syntax: togglemenu

Display the menu screens.

See also: menu_main

#### unbind (C)

Syntax: unbind <key>

Remove the current commands bound to a key.

See also: unbindall, bind

#### unbindall (C)

Syntax: unbindall

Remove every key binding. (Use with caution. Current key bindings are saved when you exit so if you unbindall then exit only the ESC key will work. Trust me I know!)

See also: unbind, bind

#### _vid_default_mode (V)

Syntax: _vid_default_mode <mode>

Default: 0

Sets the default video mode that Quake uses.

See also: menu_video

#### _vid_wait_override (T)

Syntax: _vid_wait_override <0/1>

Default: 0

From techinfo.txt:

    can be used to force wait for vertical sync in all modes.  When
    _vid_wait_override is set to 0, the type of waiting, if any, for
    each video mode that's set thereafter is automatically set to
    that appears to be the fastest safe state.  However, it is
    possible in some cases that automatic setting may result in some
    screen glitching, and it is also true that shear can be
    eliminated by waiting for vertical sync (although at a cost in
    performance), so it may be desirable in some cases to override
    the automatic wait selection and always wait for vertical sync.
    This can be done by setting _vid_wait_override to 1.  Once set,
    this remains in effect through all succeeding mode sets, even
    when Quake is exited and re-entered; the only way to keep Quake
    from waiting for vertical sync once _vid_wait_override is set to
    1 is to set _vid_wait_override to 0.  Note that changing
    _vid_wait_override doesn't affect the current mode, but rather
    takes effect on the next mode set.

#### v_centermove (V)

Syntax: v_centermove <value>

Default: 0.15

Sets how far the player must move forward before the view recenters. A big help for those people that like to use the keyboard.
Thanks to James Boswell &tg;boswell@nspace.com.au> for the documentation of this command.

#### v_centerspeed (V)

Syntax: v_centerspeed <value>

Default: 500

Sets how quickly you return to a center view after a lookup or lookdown.

See also: centerview

#### v_cshift (?)

Syntax: v_cshift <?>

Don't know what it does.

#### v_idlescale (T)

Syntax: v_idlescale <0/1>

Default: 0

Toggles whether the the view remains idle. (You can get some cool effects if you turn this on.)

See also: v_ipitch_cycle, v_ipitch_level, v_iroll_cycle, v_iroll_level, v_iyaw_cycle, v_iyaw_level

#### v_ipitch_cycle (V)

Syntax: v_ipitch_cycle <value>

Default: 1

Sets how quickly you lean forwards and backwards when v_idlescale is active.

See also: v_idlescale, v_ipitch_level

#### v_ipitch_level (V)

Syntax: v_ipitch_level <value>

Default: 0.3

Sets how far lean forwards and backwards when v_idlescale is active.

See also: v_idlescale, v_ipitch_cycle

#### v_iroll_cycle (V)

Syntax: v_iroll_cycle <value>

Default: 0.5

Sets how quickly you tilt right and left when v_idlescale is active.

See also: v_idlescale, v_iroll_level

#### v_iroll_level (V)

Syntax: v_iroll_level <value>

Default: 0.1

Sets how far you tilt right and left when v_idlescale is active.

See also: v_idlescale, v_iroll_cycle

#### v_iyaw_cycle (V)

Syntax: v_iyaw_cycle <value>

Default: 2

Sets how quickly you look left and right when v_idlescale is active.

See also: v_idlescale, v_iyaw_level

#### v_iyaw_level (V)

Syntax: v_iyaw_level <value>

Default: 0.3

Sets how far you look left and right when v_idlescale is active.

See also: v_idlescale, v_iyaw_cycle

#### v_kickpitch (V)

Syntax: v_kickpitch <value>

Default: 0.6

Sets how much you look up when hit.

See also: v_kickroll, v_kicktime

#### v_kickroll (V)

Syntax: v_kickroll <value>

Default: 0.6

Sets how much you lean when hit.

See also: v_kickpitch, v_kicktime

#### v_kicktime (V)

Syntax: v_kicktime <value>

Default: 0.5

Sets how long the "kick" effects last.

See also: v_kickpitch, v_kickroll

#### version (C)

Syntax: version

Report version information.
Example output:

    Version 1.01
    Exe: 17:38:28 Jul 12 1996

#### vid_describecurrentmode (C)

Syntax: vid_describecurrentmode

Default: 0

Report current video mode.

See also: vid_describemode, vid_describemodes, vid_mode, vid_nummodes, vid_testmode, menu_video

#### vid_describemode (C)

Syntax: vid_describemode <mode>

Report information on selected videomode.

See also: vid_describecurrentmode, vid_describemodes, vid_mode, vid_nummodes, vid_testmode, menu_video

#### vid_describemodes (C)

Syntax: vid_describemodes

Report information on all video modes.
Example output:

        ***** standard VGA modes *****
     0: 320x200

        ***** Mode X-style modes *****
     1: 320x200
     2: 360x200
     3: 320x240
     4: 360x240
     5: 320x350
     6: 360x350
     7: 320x400
     8: 360x400
     9: 320x480
    10: 360x480

See also: vid_describecurrentmode, vid_describemode, vid_mode, vid_nummodes, vid_testmode, menu_video

#### vid_mode (C)

Syntax: vid_mode <mode>

Sets the video mode.

See also: vid_describecurrentmode, vid_describemode, vid_describemodes, vid_nummodes, vid_testmode, menu_video

#### vid_nopageflip (T)

Syntax: vid_nopageflip <0/1>

Default: 0

Toggles whether page flipping is disabled.
From techinfo.txt:

    If a given VESA mode can support page flipping, then it defaults to page-
    flipped operation.  A VESA mode can be forced to non-page-flipped operation
    by setting the vid_nopageflip console variable to 1, then setting the mode
    (note that vid_nopageflip takes operation on the next, not the current, mode
    set, and note that it then stays in effect permanently, even when Quake is
    exited and restarted, unless it is manually set back to 0.)

#### vid_nummodes (C)

Syntax: vid_nummodes

Reports the total number of videomodes available.

See also: vid_describecurrentmode, vid_describemode, vid_describemodes, vid_mode, vid_testmode, menu_video

#### vid_testmode (C)

Syntax: vid_testmode <mode>

Switch to another videomode temporarily to test it.

See also: vid_describecurrentmode, vid_describemode, vid_describemodes, vid_mode, vid_nummodes, menu_video

#### vid_wait (V)

Syntax: vid_wait <value>

Default: 0

From techinfo.txt:

    sets the type of waiting that the video adapter should do, as follows:
    0: no waiting
    1: wait for vertical sync active
    2: wait for display enable active

#### viewframe (X)

Syntax: viewframe

This command reports "No viewthing on map" when run. It is used internally by Quake and is recommended not to be accessed by the user.
Thanks to Phrog`gee <mistix@nando.net> for information on this command.

#### viewmodel (X)

Syntax: viewmodel

This command reports "No viewthing on map" when run. It is used internally by Quake and is recommended not to be accessed by the user.
Thanks to Phrog`gee <mistix@nando.net> for information on this command.

#### viewnext (X)

Syntax: viewnext

This command reports "No viewthing on map" when run. It is used internally by Quake and is recommended not to be accessed by the user.
Thanks to Phrog`gee <mistix@nando.net> for information on this command.

#### viewprev (X)

Syntax: viewprev

This command reports "No viewthing on map" when run. It is used internally by Quake and is recommended not to be accessed by the user.
Thanks to Phrog`gee <mistix@nando.net> for information on this command.

#### viewsize (V)

Syntax: viewsize <value>

Default: 100

Set the screen size.

See also: sizedown, sizeup

#### volume (V)

Syntax: volume <volume>

Default: 1.0

Set the volume for sound playback.

See also: play, playvol

#### wait (C)

Syntax: wait

Wait a game tic.

YoonioR

Quake Console Commands written by Daniel Rinehart <danielr@ccs.neu.edu>
Page layout & design © Copyright 1996-1997 Piotr Marek, Jr.